'Corrected Drive Use Percentage Script
'Version 1.0
'Created November 6, 2003
'
'==============================================
' This script was created to correct so that 
' audio CDs will report properlly.  Samurize's
' native drive percentage functions would
' crash if a used on a audio (REDBOOK) cD.
'
' Verified on 0.97c, 0.98 & 0.98a
'
' Other types of media will also function with
' this script.
'==============================================
'Copyright 2003, Odin Development Group
'
'Ulimited redistribution rights are given with 
'as long as this file remains unedited.
'
'Tested with Windows 2000/Windows XP only.
'
''
'comments to odindevelopment@hotmail.com
'
'----------------------------------------------

'Displays individual drive volume name
Function VolumePercentFree(DriveLetter)

Set oFileSys = CreateObject("Scripting.FileSystemObject")
Set Drive = oFileSys.GetDrive(Driveletter)

If Drive.IsReady = True Then
	If VolumeSize > 0 Then
		VolumePercentFree = (srvDrive.FreeSpace / srvDrive.TotalSize) * 100
	Else
		VolumePercentFree = 0
	End If
Else
	VolumePercentFree = 0
End If

End Function

'----------------------------------------------

'Displays individual drive volume name
Function VolumePercentUsed(DriveLetter)

Set oFileSys = CreateObject("Scripting.FileSystemObject")
Set Drive = oFileSys.GetDrive(Driveletter)

If Drive.IsReady = True Then
	If VolumeSize > 0 Then
		VolumePercentUsed = (1 - (srvDrive.FreeSpace / srvDrive.TotalSize)) * 100
	Else
		VolumePercentUsed = 100
	End If
Else
	VolumePercentUsed = 0
End If

End Function

'----------------------------------------------
